//==============================================================================
//
// Snake
// -----
// http://www.masterspace.biz/andreschnabel/
// 2006 by André Schnabel (thefrogs@web.de)
//
//==============================================================================

// apples.h

#include "snake.h"

#ifndef APPLES_H
#define APPLES_H

#define MAX_APPLES			20

// In miliseconds
#define APPLE_SPAWNTIME		2000

// Apple type
typedef struct apple_s
{
	int x, y;
	boolean active;
} apple_t;

void InitApples(void);
void SpawnApple(int x, int y);
void DrawApples(void);
boolean AppleOnPos(int x, int y, snake_t *snake);
void UpdateApples(void);

#endif
